APIs & Integrations

LGarcia9
Member

Insufficient scopes were provided

SOLVE

I'm getting this error when I try to install my application:

 

LGarcia9_0-1660657356005.png

What's weird because the only scope I'm requesting are: "crm.objects.contacts.read,crm.schemas.contacts.read" 

 

And on apps's scopes list they are there:

LGarcia9_1-1660657533681.png

I don't know if I'm doing something wrong.

But basically I did:

  1. Created app
  2. Added the scopes
  3. Clone the https://github.com/HubSpot/oauth-quickstart-nodejs
  4. Add CLIENT_ID and CLIENT_SECRET
  5. yarn install and yarn start
  6. Tried to install the app on an account test.

Someone can assist me? 

0 Upvotes
1 Accepted solution
LGarcia9
Solution
Member

Insufficient scopes were provided

SOLVE

I found the issue, I added more scopes on admin than I was adding on url, The scopes that are listed in your app need to match the scopes you list in your authorization call.

 

That is the reason for the issue, after I removed the unnecessary scopes from App, and add all of them on url, it worked. 

 

Thanks

View solution in original post

0 Upvotes
3 Replies 3
LGarcia9
Solution
Member

Insufficient scopes were provided

SOLVE

I found the issue, I added more scopes on admin than I was adding on url, The scopes that are listed in your app need to match the scopes you list in your authorization call.

 

That is the reason for the issue, after I removed the unnecessary scopes from App, and add all of them on url, it worked. 

 

Thanks

0 Upvotes
dennisedson
HubSpot Product Team
HubSpot Product Team

Insufficient scopes were provided

SOLVE

@LGarcia9 , did you add the scopes in the install URL?  If your app has all of these scopes selected, you will also need to add all of them to the install URL

Thanks,

Dennis




HubSpot Community Developer ShowMake sure to subscribe to our YouTube channel
where you can find the HubSpot Community Developer Show
0 Upvotes
LGarcia9
Member

Insufficient scopes were provided

SOLVE
0 Upvotes